Bug 1783518 (CVE-2019-19530) - CVE-2019-19530 kernel: use-after-free caused by a malicious USB device in the drivers/usb/class/cdc-acm.c driver
Summary: CVE-2019-19530 kernel: use-after-free caused by a malicious USB device in the...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19530
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1783519 1802548 1802549 1802550 1802551 1802552
Blocks: 1783521
TreeView+ depends on / blocked
 
Reported: 2019-12-13 21:04 UTC by msiddiqu
Modified: 2021-02-16 20:51 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in the acm_probe USB subsystem in the Linux kernel. A race condition occurs when a destroy() procedure is initiated allowing the refcount to decrement on the interface so early that it is never under counted. A malicious USB device is required for exploit. System availability is the largest threat from the vulnerability, however data integrity and confidentiality are also threatened.
Clone Of:
Environment:
Last Closed: 2020-09-29 21:59:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4416 0 None None None 2020-10-29 15:09:52 UTC
Red Hat Product Errata RHBA-2020:4417 0 None None None 2020-10-29 15:08:24 UTC
Red Hat Product Errata RHBA-2020:4418 0 None None None 2020-10-29 15:13:48 UTC
Red Hat Product Errata RHBA-2020:4419 0 None None None 2020-10-29 15:12:13 UTC
Red Hat Product Errata RHBA-2020:4420 0 None None None 2020-10-29 15:51:50 UTC
Red Hat Product Errata RHSA-2020:4060 0 None None None 2020-09-29 20:52:41 UTC
Red Hat Product Errata RHSA-2020:4062 0 None None None 2020-09-29 18:58:51 UTC

Description msiddiqu 2019-12-13 21:04:15 UTC
In the Linux kernel, there is a use-after-free bug that can be caused by a malicious USB device in the drivers/usb/misc/yurex.c driver

References: 

https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.2.10
http://www.openwall.com/lists/oss-security/2019/12/03/4    
http://seclists.org/oss-sec/2019/q4/115
 
Upstream Patch:
  
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c52873e5a1ef72f845526d9f6a50704433f9c625

Comment 1 msiddiqu 2019-12-13 21:04:36 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1783519]

Comment 2 Justin M. Forbes 2019-12-16 17:09:38 UTC
This is fixed for Fedora with the 5.2.10 stable kernel update.

Comment 5 Rohit Keshri 2020-02-13 12:05:45 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 7 errata-xmlrpc 2020-09-29 18:58:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4062 https://access.redhat.com/errata/RHSA-2020:4062

Comment 8 errata-xmlrpc 2020-09-29 20:52:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4060 https://access.redhat.com/errata/RHSA-2020:4060

Comment 9 Product Security DevOps Team 2020-09-29 21:59:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19530


Note You need to log in before you can comment on or make changes to this bug.